Package com.fasterxml.jackson.dataformat.xml.deser

## Class XmlBeanDeserializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BeanDeserializerModifier
  - - com.fasterxml.jackson.dataformat.xml.deser.XmlBeanDeserializerModifier

All Implemented Interfaces:
  `java.io.Serializable`

    public class XmlBeanDeserializerModifier
    extends com.fasterxml.jackson.databind.deser.BeanDeserializerModifier
    implements java.io.Serializable

The main reason for a modifier is to support handling of 'wrapped' Collection types.

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `_cfgNameForTextValue` Virtual name used for text segments.

### Constructor Summary

Constructors
`XmlBeanDeserializerModifier​(java.lang.String nameForTextValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.fasterxml.jackson.databind.JsonDeserializer<?>` `modifyDeserializer​(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonDeserializer<?> deser0)`
`java.util.List<com.fasterxml.jackson.databind.introspect.BeanPropertyDefinition>` `updateProperties​(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, java.util.List<com.fasterxml.jackson.databind.introspect.BeanPropertyDefinition> propDefs)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

`modifyArrayDeserializer, modifyCollectionDeserializer, modifyCollectionLikeDeserializer, modifyEnumDeserializer, modifyKeyDeserializer, modifyMapDeserializer, modifyMapLikeDeserializer, modifyReferenceDeserializer, updateBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _cfgNameForTextValue

    protected java.lang.String _cfgNameForTextValue

Virtual name used for text segments.

### Constructor Detail

#### XmlBeanDeserializerModifier

    public XmlBeanDeserializerModifier​(java.lang.String nameForTextValue)

### Method Detail

#### updateProperties

    public java.util.List<com.fasterxml.jackson.databind.introspect.BeanPropertyDefinition> updateProperties​(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                                             com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                                             java.util.List<com.fasterxml.jackson.databind.introspect.BeanPropertyDefinition> propDefs)

Overrides:
  `updateProperties` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerModifier`

#### modifyDeserializer

    public com.fasterxml.jackson.databind.JsonDeserializer<?> modifyDeserializer​(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                 com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                 com.fasterxml.jackson.databind.JsonDeserializer<?> deser0)

Overrides:
  `modifyDeserializer` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerModifier`